PlanDocket

Event Services

Business+

Read which services an event offers, with the price an exhibitor pays right now (effective_price: early-bird price until its deadline, else the event price, else the base price), order deadline and remaining stock.

Read Only This endpoint only supports GET requests.
Required scopes: services
Access level: GET services:read About access levels
Feature flag: services

Endpoints

GET /api/v1/event-services

List the services of an event (event_key or event_id is required)

GET /api/v1/event-services/{id}

Retrieve a single event service with order statistics

Query Parameters

Parameter Description
event_key Event key (event_key or event_id is required)
event_id Event ID (alternative to event_key)
booth_type_key Only services that can be ordered for this booth type
is_active Default: offers that are switched on; all = also switched-off offers
page Page number (default: 1)
per_page Results per page (default: 25, max. 100)

Response Schema

Field Type
id integer
event_id integer
service_id integer
service_key string|null
service_name string|null
category_key string|null
category_name string|null
unit string|null
base_price float|null
price_override float|null
early_bird_price float|null
early_bird_deadline string|null
early_bird_active boolean
effective_price float
tax_rate float
order_deadline string|null
max_quantity_per_participant integer|null
total_inventory integer|null
remaining_inventory integer|null
is_active boolean
created_at string
updated_at string

Code Examples

curl -X GET "https://your-tenant.plandocket.com/api/v1/event-services?event_key=YOUR_EVENT_KEY" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://your-tenant.plandocket.com';

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL => $baseUrl . '/api/v1/event-services?event_key=YOUR_EVENT_KEY',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $apiKey,
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://your-tenant.plandocket.com';

const response = await fetch(`${baseUrl}/api/v1/event-services?event_key=YOUR_EVENT_KEY`, {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${apiKey}`,
  },
});

const data = await response.json();
console.log(data);
import requests

api_key = 'YOUR_API_KEY'
base_url = 'https://your-tenant.plandocket.com'

headers = {
    'Authorization': f'Bearer {api_key}',
}

response = requests.get(f'{base_url}/api/v1/event-services?event_key=YOUR_EVENT_KEY', headers=headers)
data = response.json()
print(data)

Sample Response

200 OK
{
    "data": [
        {
            "id": 1,
            "event_id": 1,
            "service_id": 1,
            "service_key": "string",
            "service_name": "string",
            "category_key": "string",
            "category_name": "string",
            "unit": "string",
            "base_price": 100,
            "price_override": 100,
            "early_bird_price": 100,
            "early_bird_deadline": "2026-01-15T10:00:00+01:00",
            "early_bird_active": true,
            "effective_price": 100,
            "tax_rate": 100,
            "order_deadline": "2026-01-15T10:00:00+01:00",
            "max_quantity_per_participant": 1,
            "total_inventory": 1,
            "remaining_inventory": 1,
            "is_active": true,
            "created_at": "2026-01-15T10:00:00+01:00",
            "updated_at": "2026-01-15T10:00:00+01:00"
        }
    ],
    "meta": {
        "current_page": 1,
        "per_page": 25,
        "total": 1,
        "total_pages": 1
    }
}